| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Member Functions | Protected Member Functions | List of all members
IG.Num.VectorStore Class Reference

Vector store. More...

Inheritance diagram for IG.Num.VectorStore:
[legend]
Collaboration diagram for IG.Num.VectorStore:
[legend]

## Public Member Functions
| VectorStore (int length)
| Constructs a new Vector store for vectors with the specified dimension. More...
| VectorStore (int length, bool constrainDimensions)
| Constructs a new Vector store. More...

## Protected Member Functions
| VectorStore ()
| Constructs a new Vector store of unspecified dimensions. More...
override Vector | TryGetNew ()
| Returns a newly created object eligible for storage, or null if such an object can not be created. This method should not throw an exception. More...

## Additional Inherited Members
Properties inherited from IG.Lib.ILockable
object | Lock`[get]`

## Detailed Description

Vector store.

Stores Vector objects for reuse.

Can be used for storage fo vectors with specific dimension (default) or for torage of any non-null vectors.

## Constructor & Destructor Documentation

IG.Num.VectorStore.VectorStore | ( |  | ) |
| inline protected

Constructs a new Vector store of unspecified dimensions.

IG.Num.VectorStore.VectorStore | ( | int | length | ) |
| inline

Constructs a new Vector store for vectors with the specified dimension.

Parameters

  length | Dimension of stored vectors.

IG.Num.VectorStore.VectorStore | ( | int | length,
|  | bool | constrainDimensions
| ) |  |
| inline

Constructs a new Vector store.

If

Parameters

  constrainDimensions |

is false then store can be used for vectors with any dimensions.

Parameters

  length | Dimension of stored vectors.

## Member Function Documentation

override Vector IG.Num.VectorStore.TryGetNew | ( |  | ) |
| inline protected

Returns a newly created object eligible for storage, or null if such an object can not be created. This method should not throw an exception.

The documentation for this class was generated from the following file:

- igbase/numeric/VectorBase.cs